Mangools/API

Get backlink-profile for siteprofiler

With this endpoint you will get a backlink profile for a given URL. When data for a domain is requested, it returns stats for the whole domain...

Prerequisites

Call /siteprofiler/overview for the same URL first (within the last 24 hours). Without a recent overview lookup the endpoint returns HTTP 429 Not in history.

GET
/siteprofiler/backlink-profile

Authorization

ApiKeyAuth
x-access-token<token>

Your Mangools API key

In: header

Query Parameters

url*string

Target URL / domain / subdomain

Response Body

application/json

curl -X GET "https://api.mangools.com/v3/siteprofiler/backlink-profile?url=string"
{
  "ts": "6be984976f0eedca1741745c5e5290c0",
  "majestic": {
    "Status": "Found",
    "ExtBackLinks": 376507,
    "RefDomains": 3800,
    "AnalysisResUnitsCost": 376507,
    "ACRank": 8,
    "RefIPs": 3475,
    "ItemType": 3,
    "RefSubNets": 2503,
    "CitationFlow": 53,
    "TrustFlow": 63,
    "TrustMetric": 63,
    "IndexedURLs": 1,
    "NonUniqueLinkTypeHomepages": "263",
    "NonUniqueLinkTypeIndirect": "5",
    "NonUniqueLinkTypeDeleted": "2013",
    "NonUniqueLinkTypeNoFollow": "5358",
    "NonUniqueLinkTypeProtocolHTTPS": "377230",
    "NonUniqueLinkTypeFrame": "2",
    "NonUniqueLinkTypeImageLink": "1140",
    "NonUniqueLinkTypeRedirect": "51",
    "NonUniqueLinkTypeTextLink": "377682",
    "TotalNonUniqueLinks": "378875",
    "OutLinksInternal": "21",
    "OutLinksExternal": "11",
    "OutDomainsExternal": "8",
    "RefDomainsEDU": 9,
    "ExtBackLinksEDU": 10,
    "RefDomainsGOV": 0,
    "ExtBackLinksGOV": 0,
    "RefDomainsEDU_Exact": 4,
    "ExtBackLinksEDU_Exact": 5,
    "RefDomainsGOV_Exact": 0,
    "ExtBackLinksGOV_Exact": 0
  },
  "majesticBackLinkCalendar": [
    {
      "Date": "2020-12-14",
      "NewLinks": 6004,
      "LostLinks": 0
    }
  ],
  "majesticRefDomains": [
    {
      "domain": "google.com",
      "topRank": 1,
      "matchedLinks": 9,
      "citationFlow": 100,
      "trustFlow": 99
    }
  ],
  "majesticAnchors": [
    {
      "anchorText": "uptime robot",
      "refDomains": 1495,
      "deletedLinks": 909,
      "noFollowLinks": 1502,
      "totalLinks": 5956,
      "class": "brand.domain",
      "tokens": [
        {
          "token": "uptime",
          "brand.domain": 0.9090909090909091,
          "other.normal": 0.3,
          "other.stop": {}
        },
        {
          "token": "robot",
          "brand.domain": 0,
          "other.normal": 0.3,
          "other.stop": {}
        }
      ],
      "score": {
        "other.stop": 0,
        "other.normal": 0.6,
        "brand.domain": 2.727272727272727
      }
    }
  ]
}